package com.lantone.qc.kernel.catalogue;

import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;

import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName : QCCatalogue
 * @Description : 质控条目解析
 * @Author : 楼辉荣
 * @Date: 2020-03-04 11:24
 */
public class QCCatalogue {

    protected String status = "-1";
    protected Map<String, String> resultDetail;
    private String className = this.getClass().getSimpleName();

    public QCCatalogue() {
        CatalogueUtil.qcCatalogueMap.put(className, this);
    }

    /**
     * @return 如
     * {
     * "BEH001":{"status":"-1", "info": "发热"}
     * }
     */
    public void execute(InputInfo inputInfo, OutputInfo outputInfo) {
        if (outputInfo.getResult().get(className) != null) {
            return;
        }
        resultDetail = new HashMap<>();
        resultDetail.put("info", "");
        start(inputInfo, outputInfo);
        outputInfo.getResult().put(className, resultDetail);
    }

    protected void start(InputInfo inputInfo, OutputInfo outputInfo) {
    }

}