package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Collection;
import java.util.Map;


/**
 * @ClassName : BEH0004
 * @Description : 入院记录个人基本信息缺项或信息错误
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class BEH0004 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {

        String status = "0";
        String infos = "";
        Map<String, String> structureMap = inputInfo.getBeHospitalizedDoc().getStructureMap();
        Collection<String> values = structureMap.values();
        for (String value:values
             ) {
            if(CatalogueUtil.isEmpty(value)){
                status = "-1";
            }
        }
        resultDetail.put("status",status);
        resultDetail.put("info",infos);
    }
}